//-------------------------------------------------------------------------------------------------
// DebugDrawElement.cpp (engine)
// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.
//-------------------------------------------------------------------------------------------------
#include "pch.hpp"
#include "DebugDrawElement.hpp"
#include "engineAssert.hpp"
using namespace std;


///////////////////////////////////////////////////////////////////////////////////////////////////
//
//		DebugDrawElement stuff
//
///////////////////////////////////////////////////////////////////////////////////////////////////
//-------------------------------------------------------------------------------------------------
// Static member initialization
//-------------------------------------------------------------------------------------------------
STATIC std::list<DebugDrawElement> DebugDrawElement::s_debugDrawList;


//-------------------------------------------------------------------------------------------------
// DebugDrawElement constructor
//-------------------------------------------------------------------------------------------------
DebugDrawElement::DebugDrawElement()
{
}


//-------------------------------------------------------------------------------------------------
// ~DebugDrawElement constructor
//-------------------------------------------------------------------------------------------------
DebugDrawElement::~DebugDrawElement()
{
}


//-------------------------------------------------------------------------------------------------
// DrawDebugElements
//-------------------------------------------------------------------------------------------------
STATIC void DebugDrawElement::DrawDebugElements()
{
}


///////////////////////////////////////////////////////////////////////////////////////////////////
//
//		DebugDrawVector stuff
//
///////////////////////////////////////////////////////////////////////////////////////////////////
//-------------------------------------------------------------------------------------------------
// DebugDrawVector constructor
//-------------------------------------------------------------------------------------------------
DebugDrawVector::DebugDrawVector( const Vector2& start, const Vector2& end, const Rgba& startColor, const Rgba& endColor )
:
_start( start ),
_end( end ),
_startColor( startColor ),
_endColor( endColor )
{
	DebugDrawElement::s_debugDrawList.push_back( *this );
}


